<?php

if ( !class_exists( 'settingsController' ) ) {

class settingsController extends pwsController_1_0 {
	
	public function __construct( $pluginSettings ) {

		$this->config = $pluginSettings;

		$this->stylesheets = Array(
			'settings_styles' => 'settings_styles.css'
		);

		$this->javascripts = Array(
			'settings_js' => 'settings_script.js'
		);
		
		extract( $pluginSettings['constants'] );

		$title = ucfirst( $plugin_menu_display_name );
		$this->menus = Array(
			Array(
				'type' => 'main',
				'settingspage' => TRUE,
				'pageTitle' => $title,
				'menuTitle' => $title,
				'capability' => 'administrator',
				'menuSlug' => 'main',
				'iconUrl' => "$plugin_url/img/logo-tiny.png",
				'position' => '199'
			),
			Array(
				'type' => 'sub',
				'settingspage' => TRUE,
				'pageTitle' => $title,
				'menuTitle' => 'Settings',
				'capability' => 'administrator',
				'menuSlug' => 'main',
				'iconUrl' => '',
				'position' => '199'
			)
		);

		parent::__construct( $pluginSettings );
	}

	public function main( ) {
		
		if ( isset( $_POST['eShopMagic'] ) ) {
			update_option( 'eShopMagic_Settings_Config', $_POST['eShopMagic'] );
		}

		$this->view->settings['config'] = get_option( 'eShopMagic_Settings_Config', $_POST['eShopMagic'] );


	}

}

}

?>
