<?php
/*
Plugin Name: eShopMagic
Plugin URI: http://cpkwebsolutions.com
Description: Easy start, troubleshooter, and configuration assistant. 
Version: 1.1
Author: CPK Web Solutions
Author URI: http://cpkwebsolutions.com/

	LICENSE

	Copyright 2012  CPK Web Solutions  (email : paul@cpkwebsolutions.com )

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

# Init

$plugin_name = 'eShopMagic';

# Load libraries

foreach( glob( dirname( __FILE__ ) . '/lib/*class.php' ) as $filename ) {
	require_once( $filename );
}

# Main class

if ( !class_exists( $plugin_name ) ) {

	class eShopMagic extends pwsPlugin_1_1 {

		public function __construct( $plugin_name ) {
			global $wpdb;
			$this->constants = Array(
				'plugin_name' => $plugin_name,
				'plugin_display_name' => 'eShop Magic',
				'plugin_menu_display_name' => 'eShop Magic',
				'options_key' => "{$plugin_name}_plugin_options",
				'plugin_folder' => dirname( __FILE__ ),
				'plugin_url' => plugins_url( '', __FILE__ ),
				'transaction_log_table' => $wpdb->prefix . 'pws_eshop_magic_transaction_log'
			);

			$this->defaultOptions = Array(
				
			);

			# Added to remove insecure files generated by v0.1 of the plugin
			$logs_folder = $this->constants['plugin_folder'] . '/logs';
			if ( file_exists( $logs_folder ) ) {
				foreach( glob( $logs_folder . '/*' ) as $file ) {
					unlink( $file );
				}
				rmdir( $logs_folder );
			}
			# End v0.1 security fix			

			$this->controllerNames = Array(
				'settings',
				#'quickstart',
				'troubleshooter',
				'customize',
			);

			parent::__construct( $plugin_name );
		}

		public function afterOptionsLoaded( ) {

#			add_action( 'wp', Array( $this->controllers['troubleshooter']->model, 'intercept' ) );
#			add_filter( 'the_content', Array( $this->controllers['troubleshooter']->model, 'toGateway' ), 20 );

		}
		
		public function activate( ) {
			global $wpdb;
			
			# Create transaction and country code tables if not already exist
			$transaction_table = $this->constants['transaction_log_table'];

			$sql = file_get_contents( dirname( __FILE__ ) . '/sql/eshop-magic-tables.sql' );

			$sql = preg_replace( '/\[transaction_table\]/', $transaction_table, $sql );

			$statements = explode( ';', $sql );
			
			foreach( $statements as $sql ) {
				$result = $wpdb->query( $wpdb->prepare( $sql ) );
			}
		}

}
}

# Go time
global $eShopMagic;
$eShopMagic = new $plugin_name( $plugin_name );

?>
